Set roles for a user
curl --request POST \
--url https://mycluster.domino.tech/api/users/v1/user/{userId}/roles \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"roles": [
"<string>"
]
}
'import requests
url = "https://mycluster.domino.tech/api/users/v1/user/{userId}/roles"
payload = { "roles": ["<string>"] }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({roles: ['<string>']})
};
fetch('https://mycluster.domino.tech/api/users/v1/user/{userId}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
},
"roles": [
"<string>"
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Users
Set roles for a user
Set the complete list of roles for a user, replacing any previously assigned roles. Required permissions: SetUserSystemRoles
POST
/
api
/
users
/
v1
/
user
/
{userId}
/
roles
Set roles for a user
Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Id of the User to set roles for
Body
application/json
The roles to assign to the user
The complete list of roles to assign to the user. Any roles not listed will be revoked.
Related topics
Get roles assigned to a userWork with rolesEnable and assign Data Analyst roleAudit Trail Data GlossaryWas this page helpful?
⌘I